[HarfBuzz] harfbuzz: Branch 'master' - 2 commits

Behdad Esfahbod behdad at kemper.freedesktop.org
Thu Aug 14 10:33:43 PDT 2014


 src/check-libstdc++.sh |   14 +++++++-------
 src/check-symbols.sh   |    8 +++++++-
 src/hb-coretext.cc     |    2 +-
 3 files changed, 15 insertions(+), 9 deletions(-)

New commits:
commit 8c6bd34d38fb3007c3d660fce0095cc5c7e9962e
Author: Behdad Esfahbod <behdad at behdad.org>
Date:   Thu Aug 14 13:33:37 2014 -0400

    Fix check-symbols on OS X

diff --git a/src/check-libstdc++.sh b/src/check-libstdc++.sh
index e7e0e29..27deb42 100755
--- a/src/check-libstdc++.sh
+++ b/src/check-libstdc++.sh
@@ -17,14 +17,14 @@ fi
 tested=false
 for suffix in so dylib; do
 	so=.libs/libharfbuzz.$suffix
-	if test -f "$so"; then
-		echo "Checking that we are not linking to libstdc++"
-		if ldd $so | grep 'libstdc[+][+]'; then
-			echo "Ouch, linked to libstdc++"
-			stat=1
-		fi
-		tested=true
+	if ! test -f "$so"; then continue; fi
+
+	echo "Checking that we are not linking to libstdc++"
+	if ldd $so | grep 'libstdc[+][+]'; then
+		echo "Ouch, linked to libstdc++"
+		stat=1
 	fi
+	tested=true
 done
 if ! $tested; then
 	echo "check-libstdc++.sh: libharfbuzz shared library not found; skipping test"
diff --git a/src/check-symbols.sh b/src/check-symbols.sh
index e000b01..91eefd4 100755
--- a/src/check-symbols.sh
+++ b/src/check-symbols.sh
@@ -16,11 +16,17 @@ fi
 
 echo "Checking that we are not exposing internal symbols"
 tested=false
-for so in `ls .libs/lib*.so .libs/lib*.dylib 2>/dev/null` ; do
+for suffix in so dylib; do
+	so=.libs/libharfbuzz.$suffix
+	if ! test -f "$so"; then continue; fi
+	prefix=
 	
 	EXPORTED_SYMBOLS="`nm "$so" | grep ' [BCDGINRSTVW] ' | grep -v ' _fini\>\| _init\>\| _fdata\>\| _ftext\>\| _fbss\>\| __bss_start\>\| __bss_start__\>\| __bss_end__\>\| _edata\>\| _end\>\| _bss_end__\>\| __end__\>' | cut -d' ' -f3`"
 	prefix=`basename "$so" | sed 's/libharfbuzz/hb/; s/-/_/g; s/[.].*//'`
 
+	# Ob mac, C symbols are prefixed with _
+	if test $suffix = dylib; then prefix="_$prefix"; fi
+
 	echo "Processing $so"
 	if echo "$EXPORTED_SYMBOLS" | grep -v "^${prefix}_"; then
 		echo "Ouch, internal symbols exposed"
commit 522b1cc5261c1419166bfb90d2ff634b684be66a
Author: Behdad Esfahbod <behdad at behdad.org>
Date:   Thu Aug 14 13:29:30 2014 -0400

    [coretext] Hide feature_mappings

diff --git a/src/hb-coretext.cc b/src/hb-coretext.cc
index 9097cce..11629cc 100644
--- a/src/hb-coretext.cc
+++ b/src/hb-coretext.cc
@@ -327,7 +327,7 @@ struct range_record_t {
 #define kUpperCaseType				38
 
 /* Table data courtesy of Apple. */
-struct feature_mapping_t {
+static const struct feature_mapping_t {
     FourCharCode otFeatureTag;
     uint16_t aatFeatureType;
     uint16_t selectorToEnable;


More information about the HarfBuzz mailing list